Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package directtools.DirectGlobals

## Functions
def | LE_showInAllCam
def | LE_showInOneCam
## Variables
int | DIRECT_ALT_MOD = 4
int | DIRECT_CONTROL_MOD = 2
float | DIRECT_FLASH_DURATION = 1.5
int | DIRECT_NO_MOD = 0
int | DIRECT_SHIFT_MOD = 1
| EDIT_TYPE_UNEDITABLE = EDIT_TYPE_UNMOVABLE|EDIT_TYPE_UNSCALABLE|EDIT_TYPE_UNROTATABLE
int | EDIT_TYPE_UNMOVABLE = 1
int | EDIT_TYPE_UNROTATABLE = 4
int | EDIT_TYPE_UNSCALABLE = 2
dictionary | LE_CAM_MASKS
tuple | LE_FRONT_CAM_MASK = BitMask32.bit(1)
tuple | LE_LEFT_CAM_MASK = BitMask32.bit(2)
tuple | LE_PERSP_CAM_MASK = BitMask32.bit(3)
tuple | LE_TOP_CAM_MASK = BitMask32.bit(0)
float | MANIPULATION_MOVE_DELAY = 0.65
tuple | NEG_X_AXIS = Vec3(-1, 0, 0)
tuple | NEG_Y_AXIS = Vec3(0, -1, 0)
tuple | NEG_Z_AXIS = Vec3(0, 0, -1)
int | Q_EPSILON = 1
| SKIP_ALL = SKIP_HIDDEN|SKIP_BACKFACE|SKIP_CAMERA|SKIP_UNPICKABLE|SKIP_WIDGET
int | SKIP_BACKFACE = 2
int | SKIP_CAMERA = 4
int | SKIP_HIDDEN = 1
int | SKIP_NONE = 0
int | SKIP_UNPICKABLE = 8
int | SKIP_WIDGET = 16
tuple | UNIT_VEC = Vec3(1)
list | UNPICKABLE
tuple | X_AXIS = Vec3(1, 0, 0)
tuple | Y_AXIS = Vec3(0, 1, 0)
tuple | Z_AXIS = Vec3(0, 0, 1)
tuple | ZERO_POINT = Point3(0)
tuple | ZERO_VEC = ORIGINVec3(0)

## Function Documentation

def directtools.DirectGlobals.LE_showInAllCam | ( |  | nodePath | ) |

def directtools.DirectGlobals.LE_showInOneCam | ( |  | nodePath,
|  |  | thisCamName
| ) |  |

## Variable Documentation

int DIRECT_ALT_MOD = 4

int DIRECT_CONTROL_MOD = 2

float DIRECT_FLASH_DURATION = 1.5

int DIRECT_NO_MOD = 0

int DIRECT_SHIFT_MOD = 1

EDIT_TYPE_UNEDITABLE = EDIT_TYPE_UNMOVABLE|EDIT_TYPE_UNSCALABLE|EDIT_TYPE_UNROTATABLE

int EDIT_TYPE_UNMOVABLE = 1

int EDIT_TYPE_UNROTATABLE = 4

int EDIT_TYPE_UNSCALABLE = 2

dictionary LE_CAM_MASKS

Initial value:

    00001 {'persp':LE_PERSP_CAM_MASK,
    00002                  'left':LE_LEFT_CAM_MASK,
    00003                  'front':LE_FRONT_CAM_MASK,
    00004                  'top':LE_TOP_CAM_MASK}

tuple LE_FRONT_CAM_MASK = BitMask32.bit(1)

tuple LE_LEFT_CAM_MASK = BitMask32.bit(2)

tuple LE_PERSP_CAM_MASK = BitMask32.bit(3)

tuple LE_TOP_CAM_MASK = BitMask32.bit(0)

float MANIPULATION_MOVE_DELAY = 0.65

tuple NEG_X_AXIS = Vec3(-1, 0, 0)

tuple NEG_Y_AXIS = Vec3(0, -1, 0)

tuple NEG_Z_AXIS = Vec3(0, 0, -1)

int Q_EPSILON = 1

SKIP_ALL = SKIP_HIDDEN|SKIP_BACKFACE|SKIP_CAMERA|SKIP_UNPICKABLE|SKIP_WIDGET

int SKIP_BACKFACE = 2

int SKIP_CAMERA = 4

int SKIP_HIDDEN = 1

int SKIP_NONE = 0

int SKIP_UNPICKABLE = 8

int SKIP_WIDGET = 16

tuple UNIT_VEC = Vec3(1)

list UNPICKABLE

Initial value:

    00001 ['x-disc-visible', 'y-disc-visible', 'z-disc-visible',
    00002               'GridBack', 'unpickable']

tuple X_AXIS = Vec3(1, 0, 0)

tuple Y_AXIS = Vec3(0, 1, 0)

tuple Z_AXIS = Vec3(0, 0, 1)

tuple ZERO_POINT = Point3(0)

tuple ZERO_VEC = ORIGINVec3(0)

All Classes Namespaces Functions Variables Enumerations Enumerator Properties